local fes = require("fes")
local std = fes.std

local site = fes.fes()

site.title = "Canonical"
site.copyright = fes.util.copyright("https://git.vxserver.dev/fSD", "fSD")

site:banner(fes.app.header.render(std))

site:note(table.concat({
	std.h1("Canonical"),
	std.p("This is the example for the canonical 'fes' site, by canonical is meant a format and " .. std.external("https://git.vxserver.dev/fSD/fes/src/branch/master/examples/canonical/www/index.lua", "code") .. " that resembles the typical use case of the Microframework"),
	std.p("This page also serves as a test for the integrity of a 'fes' build, given that it uses plenty crucial features to show everything from the HTML to CSS as well as the interactivity of certain elements."),
}))

return site
